List what you sell
The things on the counter, in their order; with all=true, the ones put away too. Needs read on Fundraising.
GET
https://{organization}.rescueconsole.com
/
api
/
sales
/
items
List what you sell
curl --request GET \
--url https://{organization}.rescueconsole.com/api/sales/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/sales/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/sales/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"price_cents": 1,
"category": "merchandise",
"is_active": true,
"sort_order": 123,
"clinic_record": "vaccination",
"catalogue_item_id": "<string>",
"sac_line": "microchip_id"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List what you sell
curl --request GET \
--url https://{organization}.rescueconsole.com/api/sales/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/sales/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/sales/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"price_cents": 1,
"category": "merchandise",
"is_active": true,
"sort_order": 123,
"clinic_record": "vaccination",
"catalogue_item_id": "<string>",
"sac_line": "microchip_id"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
